Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Class StatementIdentification

java.lang.Object
org.firebirdsql.jaybird.parser.StatementIdentification

@InternalApi public final class StatementIdentification extends Object
Statement type identification.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`LocalStatementType`
`getStatementType()`
`String`
`getTableName()`
Table name, if this is a DML statement (other than `SELECT`).
`boolean`
`returningClauseDetected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStatementType

public LocalStatementType getStatementType()

### getTableName

public String getTableName()
Table name, if this is a DML statement (other than `SELECT`).

Returns:
  Table name, `null` for `SELECT` and other non-DML statements

### returningClauseDetected

public boolean returningClauseDetected()